<?php 
require_once('../modelos/Configuracion.php');

$configuracion=new Configuracion();

$idconfiguracion=isset($_POST["idconfiguracion"])? limpiarCadena($_POST["idconfiguracion"]):"";
$ruc_empresa=isset($_POST["ruc_empresa"])? limpiarCadena($_POST["ruc_empresa"]):"";
$razon_social=isset($_POST["razon_social"])? limpiarCadena($_POST["razon_social"]):"";
$nombre_comercial=isset($_POST["nombre_comercial"])? limpiarCadena($_POST["nombre_comercial"]):"";
$direccion_empresa=isset($_POST["direccion_empresa"])? limpiarCadena($_POST["direccion_empresa"]):"";
$moneda=isset($_POST["moneda"])? limpiarCadena($_POST["moneda"]):"";
$celular=isset($_POST["celular"])? limpiarCadena($_POST["celular"]):"";
$telefono=isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$email=isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$descripcion_anuncio=isset($_POST["descripcion_anuncio"])? limpiarCadena($_POST["descripcion_anuncio"]):"";


switch ($_GET["op"])
{
    case 'guardaryeditar':
        if(empty($idconfiguracion))
        {
          $rspta=$configuracion->insertar($descripcion,$idusuario);
          echo $rspta ? "Caja Registrado" : "Caja no se pudo registrar";
        }
        else {
            $rspta=$configuracion->editar($idconfiguracion,$ruc_empresa,$razon_social,$nombre_comercial,$direccion_empresa,$moneda,$celular,$telefono,$email,$descripcion_anuncio);
            echo $rspta ? "Configuracion Actualizada" : "Configuracion no se pudo actualizar";
        }
      break;
  
      case 'mostrar':
        $rspta=$configuracion->mostrar($idconfiguracion);
         //Codificar el resultado utilizando json
         echo json_encode($rspta);
      break;
  

    
}